# 类: QuoteMessage

[(返回目录)](/api.md)

**继承自:** [Message](/api/message.md)

RainyBot的引用回复消息类，其实例记录了与一个引用回复消息相关的各类数据

## 方法

* static [QuoteMessage](/api/quotemessage.md) **init\_meta (** [Dictionary](https://docs.godotengine.org/en/latest/classes/class_dictionary.html) dic **)**

通过机器人协议后端的元数据字典构造一个此类的实例，仅当你知道自己在做什么时才使用

***

* [int](https://docs.godotengine.org/en/latest/classes/class_int.html) **get\_message\_id ( )**

获取被引用回复的原消息ID

***

* [int](https://docs.godotengine.org/en/latest/classes/class_int.html) **get\_group\_id ( )**

获取被引用回复的原消息所在的群组的ID(若不位于群组中则返回0)

***

* [int](https://docs.godotengine.org/en/latest/classes/class_int.html) **get\_sender\_id ( )**

获取被引用回复的原消息的发送者的ID

***

* [int](https://docs.godotengine.org/en/latest/classes/class_int.html) **get\_target\_id ( )**

获取被引用回复的原消息的接收者(或接收群组)的ID

***

* [MessageChain](/api/messagechain.md) **get\_message\_chain ( )**

获取被引用回复的原消息的消息链实例

***

* [String](https://docs.godotengine.org/en/latest/classes/class_string.html) **get\_as\_text ( )**

将此实例获取为字符串的形式

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainybot.dev/api/quotemessage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
